package com.pms.ocp.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.sql.Timestamp;

@Data
@Accessors(chain = true)

@ApiModel("服务应用关系表")
public class OcpApiTenantRel {

  @TableId(type = IdType.ASSIGN_ID)
  @ApiModelProperty("主键ID")
  private String objId;

  @ApiModelProperty("应用编码")
  private String tenantCode;

  @ApiModelProperty("服务编码")
  private String apiCode;

  @ApiModelProperty("服务部署公司")
  private String apiDepCompanyCode;

  @ApiModelProperty("应用所属公司")
  private String tenantDepCompanyCode;

  @ApiModelProperty("关系创建时间")
  private Timestamp apiTenantRelCtime;

  @ApiModelProperty("关系创建时间")
  private Timestamp apiTenantRelMtime;

  @ApiModelProperty("关系创建用户ID")
  private String apiTenantRelUserId;

  @ApiModelProperty("关系创建用户")
  private String apiTenantRelUserName;

  @ApiModelProperty("是否已删除0未删除，1已删除")
  private long isDelete;

  @ApiModelProperty("服务接口中文名称")
  private String apiName;

  @ApiModelProperty("服务分类代码")
  private String apiGroupCode;

  @ApiModelProperty("推广类型0:统建；1:自建")
  private long apiPromotion;

  @ApiModelProperty("服务请求体")
  private String apiReq;

  @ApiModelProperty("服务返回体")
  private String apiResp;

  @ApiModelProperty("服务地址")
  private String apiUrl;

  @ApiModelProperty("服务创建时间")
  private Timestamp apiCtime;

  @ApiModelProperty("服务修改时间")
  private Timestamp apiMtime;

  @ApiModelProperty("创建者用户ID")
  private String apiUserId;

  @ApiModelProperty("建设单位")
  private String apiUnit;

  @ApiModelProperty("服务所属公司")
  private String ownerCompanyCode;

  @ApiModelProperty("服务所属公司")
  private String ownerCompanyName;

  @ApiModelProperty("所属区域 1:生产控制大区;2:信息关联大区;3:互联网大区")
  private long apiZone;

  @ApiModelProperty("'所属层级 1:应用层;2:平台层;3:网络层;4:感知层;")
  private long apiLayer;

  @ApiModelProperty("服务版本（最新版本）")
  private long apiVersion;

  @ApiModelProperty("应用名称")
  private String tenantName;

  @ApiModelProperty("应用分类代码")
  private String tenantGroupCode;

  @ApiModelProperty("应用IP")
  private String tenantIp;

  @ApiModelProperty("应用url")
  private String tenantUrl;

  @ApiModelProperty("所属专业")
  private String professionalKind;

  @ApiModelProperty("创建者用户ID")
  private String tenantUserId;

  @ApiModelProperty("排序")
  private String tenantOrderNo;

  @ApiModelProperty("创建时间")
  private String tenantCtime;

  @ApiModelProperty("最后更新时间")
  private String tenantMtime;

  @ApiModelProperty("部署名称")
  private String deploymentName;

  @ApiModelProperty("描述")
  private String tenantDescription;

  @ApiModelProperty("应用状态0设计 1运行态")
  private String tenantState;

  @ApiModelProperty("建设单位")
  private String tenantUnit;

  @ApiModelProperty("所属区域 1:生产控制大区;2:信息关联大区;3:互联网大区")
  private String tenantZone;

  @ApiModelProperty("所属层级 1:应用层;2:平台层;3:网络层;4:感知层")
  private String tenantLayer;

  @ApiModelProperty("应用版本（当前版本）")
  private String tenantVersion;


}
